package com.yd.dal.mapper.practitioner;

import com.yd.dal.entity.practitioner.payscale.AgAclLifePractitionerSalary;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AgAclLifePractitionerSalaryMapper {
    int deleteByPrimaryKey(Long id);

    int insert(AgAclLifePractitionerSalary record);

    int insertSelective(AgAclLifePractitionerSalary record);

    AgAclLifePractitionerSalary selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AgAclLifePractitionerSalary record);

    int updateByPrimaryKey(AgAclLifePractitionerSalary record);

    List<AgAclLifePractitionerSalary> queryListByPractitionerId(Long practitionerId);

    List<AgAclLifePractitionerSalary> queryListByPractitionerIdAndIsbasic(@Param("practitionerId") Long practitionerId, @Param("isBasic") Integer isBasic);
}